Skip to main content
Resource Center/Hardware/Host Operations

UpdateHostNetworkInterface

UpdateHostNetworkInterface

POST/zstack/v1/hosts/nics/{interfaceUuid}/actions

Operation ID

UpdateHostNetworkInterface

Since

4.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • interfaceUuid
    StringRequired

    The physical NIC port UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • description
      StringRequired

      The resource description.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventory
    HostNetworkInterfaceInventoryRequired

    See inventroy.

    • uuid
      StringRequired

      The resource UUID.

    • hostUuid
      StringRequired

      The host UUID.

    • bondingUuid
      StringRequired

      The bond UUID.

    • interfaceName
      StringRequired

      The NIC name.

    • interfaceType
      StringRequired

      The NIC type. Options: nomaster,bridgeSlave, and bondSlave.

    • speed
      LongRequired

      The NIC speed.

    • slaveActive
      BooleanRequired

      The bond link status.

    • carrierActive
      BooleanRequired

      The physical link status.

    • ipAddresses
      ListRequired

      The IP address.

    • gateway
      StringRequired

      The gateway address.

    • mac
      StringRequired

      The MAC address.

    • callBackIp
      StringRequired

      The callback IP address.

    • pciDeviceAddress
      StringRequired

      The interface PCI address.

    • offloadStatus
      StringRequired

      The offload status.

    • description
      StringRequired

      The resource description.

    • createDate
      TimestampRequired

      The creation time.

    • lastOpDate
      TimestampRequired

      The last operation time.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.